{ config, pkgs, ... }:

let
  albert_autostart = (pkgs.makeAutostartItem {
    name = "albert";
    package = pkgs.albert;
  });
  guake_autostart = (pkgs.makeAutostartItem {
    name = "guake";
    package = pkgs.guake;
  });
in {
  nixpkgs.config = { allowUnfree = true; };

  imports = [ ./git.nix ./zsh.nix ./gnome.nix ./code.nix ];

  home.stateVersion = "21.05";

  home.packages = with pkgs; [
    albert
    guake

    firefox
    chromium

    # reversing
    rizin
    
    nmap 

    slack
    signal-desktop
    teams
    discord
    element-desktop

    spotify

    bind
    gparted
    sshfs

    # autostart
    albert_autostart
    guake_autostart
  ];

  home.sessionVariables = {
    EDITOR = "nvim";
    VISUAL = "nvim";
  };
}
